Bug 1675381 - Cluster Logging does not set cpu and memory defaults when nothing is defined for the clusterlogging object
Summary: Cluster Logging does not set cpu and memory defaults when nothing is defined ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: ---
: 4.1.0
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-11 20:52 UTC by Jeff Cantrill
Modified: 2019-06-04 10:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-06-04 10:44:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:44:07 UTC
Github openshift cluster-logging-operator pull 103 None None None 2019-02-11 22:35:37 UTC

Description Jeff Cantrill 2019-02-11 20:52:17 UTC
The ClusterLogging stack does not define component cpu and memory defaults if these values are not defined for the ClusterLogging object.  The CLO should mint deployments to use the same defaults (e.g. 16G for ES min/max) used by openshift-ansible in 3.11

Comment 1 Anping Li 2019-02-15 06:23:09 UTC
Pass on release:4.0.0-0.nightly-2019-02-15-034921

Comment 4 errata-xmlrpc 2019-06-04 10:44:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.